ShinyEnv:Use("ShinyStats")


ShinyLocale = LibStub("AceLocale-3.0"):GetLocale("ShinyStats")
L = ShinyLocale

local L = L


local TEMPLATES = {
	STAT_NUMBER = "[+%-]?%d+[%-%d,.]*%%?",
	DAMAGE_RANGE = "[%d,%-%s]+",
	-- FOOD_DURATION = "[%d+].-[.]",
}


(function()
	for k,v in pairs(L) do
		-- Do template substitutions
		local newText, count = v:gsub("{(.-)}", function(id)
							return TEMPLATES[id] or ""
						end)

		L[k] = newText
	end
end)()
